/*------------------------------------------------------------------------
  File        : WebApp/TP/BL/Trip.i
  Purpose     : 
  Syntax      : 
  Description : 
  Author(s)   : marc
  Created     : 07-03-2018 13:32:11
  Syntax      : 
------------------------------------------------------------------------*/

/* ***************************  Main Block  *************************** */

DEFINE TEMP-TABLE ttTrip BEFORE-TABLE bttTrip
    FIELD attachmentnr LIKE aa-tp_trip.attachmentnr
    FIELD bookingnr LIKE aa-tp_trip.bookingnr
    FIELD bookingnr_num_part LIKE aa-tp_trip.bookingnr_num_part
    FIELD calc_driver_name AS CHARACTER LABEL "Driver"
    FIELD calc_supplier_name AS CHARACTER LABEL "Supplier"
    FIELD companycode LIKE aa-tp_trip.companycode
    FIELD des LIKE aa-tp_trip.des
    FIELD droppick LIKE aa-tp_trip.droppick
    FIELD dt_available LIKE aa-tp_trip.dt_available
    FIELD dt_closing LIKE aa-tp_trip.dt_closing
    FIELD dt_endpoint LIKE aa-tp_trip.dt_endpoint
    FIELD dt_planned LIKE aa-tp_trip.dt_planned FORMAT "99/99/9999"
    FIELD dt_recollection LIKE aa-tp_trip.dt_recollection
    FIELD dt_requested LIKE aa-tp_trip.dt_requested FORMAT "99/99/9999"
    FIELD dt_startpoint LIKE aa-tp_trip.dt_startpoint
    FIELD ec_dropoff_refnr LIKE aa-tp_trip.ec_dropoff_refnr
    FIELD ec_pickup_refnr LIKE aa-tp_trip.ec_pickup_refnr
    FIELD ec_release_refnr LIKE aa-tp_trip.ec_release_refnr
    FIELD empty_km_coll LIKE aa-tp_trip.empty_km_coll
    FIELD empty_km_del LIKE aa-tp_trip.empty_km_del
    FIELD empty_km_toll LIKE aa-tp_trip.empty_km_toll
    FIELD empty_km_toll_be LIKE aa-tp_trip.empty_km_toll_be
    FIELD endpoint_location LIKE aa-tp_trip.endpoint_location
    FIELD endpoint_type LIKE aa-tp_trip.endpoint_type
    FIELD extra LIKE aa-tp_trip.extra
    FIELD geo_info LIKE aa-tp_trip.geo_info
    FIELD motcode LIKE aa-tp_trip.motcode
    FIELD notify_usercode LIKE aa-tp_trip.notify_usercode
    FIELD plan_with_supplier_addressnr LIKE aa-tp_trip.plan_with_supplier_addressnr
    FIELD planning LIKE aa-tp_trip.planning
    FIELD planninggroups LIKE aa-tp_trip.planninggroups
    FIELD qualifier LIKE aa-tp_trip.qualifier
    FIELD remarks LIKE aa-tp_trip.remarks
    FIELD remarks2 LIKE aa-tp_trip.remarks2
    FIELD startpoint_location LIKE aa-tp_trip.startpoint_location
    FIELD startpoint_type LIKE aa-tp_trip.startpoint_type
    FIELD tim_available LIKE aa-tp_trip.tim_available
    FIELD tim_planned LIKE aa-tp_trip.tim_planned
    FIELD tim_planned_till LIKE aa-tp_trip.tim_planned_till
    FIELD tim_requested LIKE aa-tp_trip.tim_requested
    FIELD tim_requested_till LIKE aa-tp_trip.tim_requested_till
    FIELD tm_closing LIKE aa-tp_trip.tm_closing
    FIELD tp_combination_trip_seqnr LIKE aa-tp_trip.tp_combination_trip_seqnr
    FIELD tp_droppick_trip_seqnr LIKE aa-tp_trip.tp_droppick_trip_seqnr
    FIELD tp_file_seqnr LIKE aa-tp_trip.tp_file_seqnr
    FIELD tp_order_seqnr LIKE aa-tp_trip.tp_order_seqnr
    FIELD tp_trip_seqnr LIKE aa-tp_trip.tp_trip_seqnr
    FIELD tp_trip_status LIKE aa-tp_trip.tp_trip_status
    FIELD tripnr LIKE aa-tp_trip.tripnr
    FIELD triptype LIKE aa-tp_trip.triptype
    FIELD xref_tp_triptype_des AS CHARACTER LABEL "Type"
.

DEFINE DATASET dsTrip FOR ttTrip.