/*------------------------------------------------------------------------
  File        : WebApp/TP/BL/Supplier.i
  Purpose     : 
  Syntax      : 
  Description : 
  Author(s)   : marc
  Created     : 07-03-2018 13:30:19
  Syntax      : 
------------------------------------------------------------------------*/

/* ***************************  Main Block  *************************** */

DEFINE TEMP-TABLE ttSupplier BEFORE-TABLE bttSupplier
    FIELD addressnr LIKE aa-tp_supplier.addressnr
    FIELD attachmentnr LIKE aa-tp_supplier.attachmentnr
    FIELD companycode LIKE aa-tp_supplier.companycode
    FIELD confirmation_email LIKE aa-tp_supplier.confirmation_email FORMAT "X(200)"
    FIELD confirmation_fax LIKE aa-tp_supplier.confirmation_fax FORMAT "X(20)"
    FIELD confirmation_sms LIKE aa-tp_supplier.confirmation_sms FORMAT "X(20)"
    FIELD create_usercode LIKE aa-tp_supplier.create_usercode
    FIELD dt_create LIKE aa-tp_supplier.dt_create
    FIELD dt_update LIKE aa-tp_supplier.dt_update
    FIELD home_base LIKE aa-tp_supplier.home_base
    FIELD ind_20_tipping LIKE aa-tp_supplier.ind_20_tipping
    FIELD ind_40_tipping LIKE aa-tp_supplier.ind_40_tipping
    FIELD ind_45_tipping LIKE aa-tp_supplier.ind_45_tipping
    FIELD ind_distance LIKE aa-tp_supplier.ind_distance
    FIELD ind_equip1 LIKE aa-tp_supplier.ind_equip1
    FIELD ind_equip2 LIKE aa-tp_supplier.ind_equip2
    FIELD ind_equip3 LIKE aa-tp_supplier.ind_equip3
    FIELD ind_equip4 LIKE aa-tp_supplier.ind_equip4
    FIELD ind_equip5 LIKE aa-tp_supplier.ind_equip5
    FIELD ind_flat_driver LIKE aa-tp_supplier.ind_flat_driver
    FIELD ind_genset LIKE aa-tp_supplier.ind_genset
    FIELD ind_haz_driver LIKE aa-tp_supplier.ind_haz_driver
    FIELD ind_helper LIKE aa-tp_supplier.ind_helper
    FIELD ind_inactive LIKE aa-tp_supplier.ind_inactive
    FIELD ind_low_loader LIKE aa-tp_supplier.ind_low_loader
    FIELD ind_tfs_driver LIKE aa-tp_supplier.ind_tfs_driver
    FIELD ind_tipping LIKE aa-tp_supplier.ind_tipping
    FIELD ind_tipping_hc LIKE aa-tp_supplier.ind_tipping_hc
    FIELD ind_tri_axle_tractor LIKE aa-tp_supplier.ind_tri_axle_tractor
    FIELD ind_unassigned_drivers LIKE aa-tp_supplier.ind_unassigned_drivers
    FIELD max_distance LIKE aa-tp_supplier.max_distance
    FIELD member_driver_pool LIKE aa-tp_supplier.member_driver_pool
    FIELD name_1 LIKE aa-tp_supplier.name_1
    FIELD remarks LIKE aa-tp_supplier.remarks
    FIELD shortname LIKE aa-tp_supplier.shortname
    FIELD suppliertype LIKE aa-tp_supplier.suppliertype
    FIELD telephonenr LIKE aa-tp_supplier.telephonenr
    FIELD tim_create LIKE aa-tp_supplier.tim_create
    FIELD tim_update LIKE aa-tp_supplier.tim_update
    FIELD transport_confirmation LIKE aa-tp_supplier.transport_confirmation
    FIELD update_usercode LIKE aa-tp_supplier.update_usercode
    FIELD xref_address_name_1 AS CHARACTER LABEL "Name"
    FIELD xref_address_telephonenr AS CHARACTER LABEL "Telephone"
    FIELD zipcode LIKE aa-tp_supplier.zipcode
.

DEFINE DATASET dsSupplier FOR ttSupplier.